Bug 51907 - disk druid inserts rather than appends software raid sets
Summary: disk druid inserts rather than appends software raid sets
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 18:39 UTC by Jim Wright
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-20 15:09:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Wright 2001-08-16 18:39:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.6-xfs i686)

Description of problem:
When defining raid sets, disk druid now seems to insert new
raid sets at the front of the queue.  For example, the first thing
I defined the partition for my /boot filesystem.  With nothing else,
this was /dev/md0.  Then I defined the partition for my root filesystem.
After this, /boot became /dev/md1 and root was not /dev/md0.  This is
different from previous behavior.  I prefer having the first raid set
I define be /dev/md0 and stay that way.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
create more than one software raid set

Additional info:

Comment 1 Michael Fulbright 2001-08-20 15:09:41 UTC
The numbers are pretty arbitrary, so anaconda picks them for the user now.


Comment 2 Matt Wilson 2001-09-06 01:37:51 UTC
I believe that this is fixed.  I did an install with 2 raid0 drives.  I defined
/ first, it became md0.  I defined /usr second, it became md1.


Comment 3 Jim Wright 2001-09-06 16:09:54 UTC
I concur.  Looks fixed in rc2.


Note You need to log in before you can comment on or make changes to this bug.